nix3-store-ls(1)

    Warning
    This program is experimental (https://nix.dev/manual/nix/2.34/development/experimental-features.html#xp-feature-nix-command) and its interface is subject to change.

Name

nix store ls - show information about a path in the Nix store

Synopsis

nix store ls [option…] path

Examples

•   To list the contents of a store path in a binary cache:

    # nix store ls --store https://cache.nixos.org/ --long --recursive /nix/store/qbhyj3blxpw2i6pb7c6grc9185nbnpvy-hello-2.10
    dr-xr-xr-x                    0 ./bin
    -r-xr-xr-x                38184 ./bin/hello
    dr-xr-xr-x                    0 ./share
    …

•   To show information about a specific file in a binary cache:

    # nix store ls --store https://cache.nixos.org/ --long /nix/store/qbhyj3blxpw2i6pb7c6grc9185nbnpvy-hello-2.10/bin/hello
    -r-xr-xr-x                38184 hello

Description

This command shows information about path in a Nix store. path can be a top-level store path or any file inside a store path.

Options

•   --directory (#opt-directory) / -d

    Show directories rather than their contents.

•   --json (#opt-json)

    Produce output in JSON format, suitable for consumption by another program.

•   --long (#opt-long) / -l

    Show detailed file information.

•   --no-pretty (#opt-no-pretty)

    Print compact JSON output on a single line, even when the output is a terminal. Some commands may print multiple JSON objects on separate lines.

                See `--pretty`.

•   --pretty (#opt-pretty)

    Print multi-line, indented JSON output for readability.

                Default: indent if output is to a terminal.
                This option is only effective when `--json` is also specified.

•   --recursive (#opt-recursive) / -R

    List subdirectories recursively.

  Logging-related options

•   --debug (#opt-debug)

    Set the logging verbosity level to ‘debug’.

•   --log-format (#opt-log-format) format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs (#opt-print-build-logs) / -L

    Print full build logs on standard error.

•   --quiet (#opt-quiet)

    Decrease the logging verbosity level.

•   --verbose (#opt-verbose) / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help (#opt-help)

    Show usage information.

•   --offline (#opt-offline)

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option (#opt-option) name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh (#opt-refresh)

    Consider all previously downloaded files out-of-date.

•   --version (#opt-version)

    Show version information.

    Note

    See man nix.conf (https://nix.dev/manual/nix/2.34/command-ref/conf-file.html#command-line-flags) for overriding configuration settings with command line flags.